#ifndef h_task_config
#define h_task_config 1.21

#include "ETH-IIRO-16.h"

#define EEPOP						0
#define SPECIALOP					0x82

#define SOCK_CONFIG					3
#define EEPADDR_VER					4

#define SBUF_LENGTH					253

// Special char values
#define CR                 			0x0D
#define LF                 			0x0A

#define CONFIG_CLIENT_PORT			48713  
#define CONFIG_SERVER_PORT			48714  
#define CONFIG_UP_PORT				48715


//#define DefConfigParam			"\x82\x82\x82\x82\x00\x00\x00\x08\xDC\x00\x00\x00\xC0\xA8\x00\x03\xFF\xFF\xFF\x00\xC0\xA8\x00\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\xDC\x00\x00\x00"
//#define DefConfigParam		"\x82\x82\x82\x82\x00\x00\x00\x08\xDC\x00\x00\x00\xC0\xA8\x01\x5C\xFF\xFF\xFF\x00\xC0\xA8\x01\x5E\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"
	
//-----------------------------------------------------------------------------
void default_network(void);
void debug_network(void);
void SetConfig(void);
void write_end_page(void);
void setGAR(uint8 * addr);
void setSIPR(uint8 * addr);
void setSUBR(uint8 * addr);
void setSHAR(uint8 * addr);

#define	MAX_BUF_SIZE	8192		// Maximum receive buffer size
extern xdata char data_buf[MAX_BUF_SIZE];
extern uint8 OPT2Already;
extern uint8 OPT1Already;

extern uint8 xdata DHCP_flag;
extern uint8 xdata Device_Name[14];


#endif